API ReferenceapiaiGET /v1/conversations

GET /v1/conversations

Service: ai · operationId: (none)

Required scopes

(no scope declared — review service config)

Query parameters

  • limit (integer) —

Responses

200 Conversation list

{
  "type": "object",
  "properties": {
    "total": {
      "type": "integer",
      "minimum": 0
    },
    "conversations": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid"
          },
          "user_id": {
            "type": "string",
            "format": "uuid"
          },
          "brand_id": {
            "type": "string"
          },
          "started_at": {
            "type": "string"
          },
          "last_active_at": {
            "type": "string"
          },
          "model": {
            "type": "string"
          },
          "title": {
            "type": [
              "string",
              "null"
            ]
          },
          "context": {
            "type": "object",
            "additionalProperties": {}
          }
        },
        "required": [
          "id",
          "user_id",
          "brand_id",
          "started_at",
          "last_active_at",
          "model",
          "title",
          "context"
        ]
      }
    }
  },
  "required": [
    "total",
    "conversations"
  ]
}

500 Server error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://ai.platform.loop.health/v1/conversations \
  -H "Authorization: Bearer $ACCESS_TOKEN"